Bug 837574 - VIP user cannot create medium size gear on node
VIP user cannot create medium size gear on node
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Rajat Chopra
libra bugs
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-04 05:45 EDT by Meng Bo
Modified: 2015-05-14 21:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-13 19:43:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-07-04 05:45:58 EDT
Description of problem:
Enable vip flag for exist user, try to create medium size gear on node will get error, "Invalid Size: medium.  Must be: small.  Please contact support for access to additional sizes."

Version-Release number of selected component (if applicable):
devenv_1874

How reproducible:
always

Steps to Reproduce:
1.enable vip flag for user
#rhc-admin-clt-user -l bmeng@redhat.com --setvip true
2.create medium size gear 
#rhc app create -a php1 -t php-5.3 -g medium
3.
  
Actual results:
Invalid Size: medium.  Must be: small.  Please contact support for access to additional sizes.

Expected results:
VIP user should have privilege to create medium size gear.

Additional info:
Comment 1 Rajat Chopra 2012-07-06 19:07:30 EDT
Fixed with pull request#32 in li.repo, whenever that gets merged.
Comment 2 Xiaoli Tian 2012-07-09 01:39:28 EDT
It's merged, move it to ON_QA.
Comment 3 Xiaoli Tian 2012-07-09 04:47:02 EDT
Tested it on devenv_1879, this bug is still not fixed.

VIP user can still not create medium size apps.

Same result with bug's description.
Comment 4 Rajat Chopra 2012-07-09 10:44:12 EDT
devenv_1879 does not have the fixed code.
Pull request#32 was merged into master, but did not get built into 1879.

Next one should have it mended.
Comment 5 Meng Bo 2012-07-10 06:34:34 EDT
Verified this bug on devenv_1882, user with VIP flag enabled but does not add gear medium can create medium size gear on node.
And after change the node profile to medium, the app has the correct medium size specification.

Mark bug as verified.

Note You need to log in before you can comment on or make changes to this bug.